package model

// DOHResponse Google DOH 响应
type DOHResponse struct {
	Status   int           `json:"Status"`
	Comment  string        `json:"Comment"`
	TC       bool          `json:"TC"`
	RD       bool          `json:"RD"`
	RA       bool          `json:"RA"`
	AD       bool          `json:"AD"`
	CD       bool          `json:"CD"`
	Question []DOHQuestion `json:"Question"`
	Answer   []DOHAnswer   `json:"Answer"`
}

// DOHQuestion Google DOH 问题
type DOHQuestion struct {
	Name string `json:"name"`
	Type int    `json:"type"`
}

// DOHAnswer Google DOH 答复
type DOHAnswer struct {
	Name string `json:"name"`
	Type int    `json:"type"`
	TTL  int    `json:"TTL"`
	Data string `json:"data"`
}
